<!DOCTYPE html><html><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /></head><body>
<%var lang = args["language_type"]; %>
<div id="Set_ShuntsSystem"  template='<form action="../cgi-bin/web_cgi_control.cgi" id="settingForm" method="post">
<ul class="popul">
     <li class="title popli" id="Li2">
        <span <%if(lang==0){ %> class="signalname_en"<%}else{%>class="signalname_zh"<%} %>></span><span class="reonval">/*[ID_CURRENT_SETTING]*/</span><span class="unitorrange_tip"></span><span class="newsetting_wd">/*[ID_NEW_SETTING]*/</span><span class="range">/*[ID_RANGE]*/</span>
     </li>
     <li class="popli">
         <span <%if(lang==0){ %> class="signalname_en"<%}else{%>class="signalname_zh"<%} %>>/*[ID_SETAS]*/</span>
         <span class="unitorrange_val" name="sSignalVal" pname="sSignalVal" ></span>
         <span class="unitorrange"></span>
		 <div class="dropdown shuntsel">
                <div class="input_select set_value set_newval" data-index="" name="Signal_Value1" pname="Signal_Value1" Signal_Type="" Signal_ID="" Signal_ValueType=""></div>
                <ul class="language yinc">
                     
                </ul>
         </div>
     </li>
     <li class="popli">
		<span <%if(lang==0){ %> class="signalname_en"<%}else{%>class="signalname_zh"<%} %>>/*[ID_SIGNAL_FULL_NAME]*/</span>
		<span class="unitorrange_val mdname" ></span>
		<span class="unitorrange"></span>
		<input class="set_value newval set_newval" name="Signal_FullName2" pname="Signal_FullName2" <%if(lang==1&&window.location.toString().indexOf("zh")>-1){%>maxlength="7"<%}else{%>maxlength="20"<%} %> value="" Signal_Type="" Signal_ID="" Signal_ValueType="" />
		<span class="unitorrange inputtip">/*[ID_INPUTTIP2]*/</span>
     </li>
      <li class="popli">
		<span <%if(lang==0){ %> class="signalname_en"<%}else{%>class="signalname_zh"<%} %>>/*[ID_SIGNAL_ABBR_NAME]*/</span>
		<span class="unitorrange_val mdname" ></span>
		<span class="unitorrange"></span>
		<input class="set_value newval set_newval" name="Signal_AbbrevName2" pname="Signal_AbbrevName2"<%if(lang==1&&window.location.toString().indexOf("zh")>-1){%>maxlength="5"<%}else{%>maxlength="8"<%} %> value="" Signal_Type="" Signal_ID="" Signal_ValueType="" />
		<span class="unitorrange inputtip">/*[ID_INPUTTIP3]*/</span>
     </li>
      <li class="popli">
		<span <%if(lang==0){ %> class="signalname_en"<%}else{%>class="signalname_zh"<%} %>>/*[ID_FULLSC]*/</span>
		<span class="unitorrange_val" ></span>
		<span class="unitorrange"></span>
		<input class="set_value newval set_newval"  name="Signal_Value8" pname="Signal_Value8" maxlength="32" Signal_Type="" value="" Signal_ID="" Signal_ValueType="" />
		<span class="unitorrange"></span>
     </li>
     <li class="popli">
		<span <%if(lang==0){ %> class="signalname_en"<%}else{%>class="signalname_zh"<%} %>>/*[ID_FULLSV]*/</span>
		<span class="unitorrange_val" ></span>
		<span class="unitorrange"></span>
		<input class="set_value newval set_newval" name="Signal_Value6" pname="Signal_Value6" maxlength="32" Signal_Type="" value="" Signal_ID="" Signal_ValueType="" />
		<span class="unitorrange"></span>
     </li>
      <li class="popli">
		<span <%if(lang==0){ %> class="signalname_en"<%}else{%>class="signalname_zh"<%} %>>/*[ID_BREAK_VALUE2]*/</span>
		<span class="unitorrange_val" ></span>
		<span class="unitorrange"></span>
		<input class="set_value newval set_newval" name="Signal_Value3" pname="Signal_Value3" maxlength="32" Signal_Type="" value="" Signal_ID="" Signal_ValueType="" />
		<span class="unitorrange"></span>
     </li>
       <li class="popli">
		<span <%if(lang==0){ %> class="signalname_en"<%}else{%>class="signalname_zh"<%} %>> /*[ID_High1CLA]*/</span>
		<span class="unitorrange_val" ></span>
		<span class="unitorrange"></span>
		<input class="set_value newval set_newval" name="Signal_Value4" pname="Signal_Value4" maxlength="32" Signal_Type="" value="" Signal_ID="" Signal_ValueType="" />
		<span class="unitorrange"></span>
     </li>
     <li class="popli">
        <span <%if(lang==0){ %> class="signalname_en"<%}else{%>class="signalname_zh"<%} %>> /*[ID_High1CAS]*/</span>
		<span class="unitorrange_val" ></span>
		<span class="unitorrange"></span>
		<div class="dropdown shuntsel">
            <div class="input_select set_value set_newval" data-index="" name="Alarm_Level7" pname="Alarm_Level7"  Signal_Type="" Signal_ID="" Signal_ValueType=""></div>
            <ul class="language yinc">
                 <li><a href="javascript:void(0)" rel="0">/*[ID_NA]*/</a></li>
                 <li><a href="javascript:void(0)" rel="1">/*[ID_OA]*/</a></li>
                 <li><a href="javascript:void(0)" rel="2">/*[ID_MA]*/</a></li>
                 <li><a href="javascript:void(0)" rel="3">/*[ID_CA]*/</a></li>
            </ul>
        </div>
		<span class="unitorrange"></span>
     </li>
      <li class="popli">
        <span <%if(lang==0){ %> class="signalname_en"<%}else{%>class="signalname_zh"<%} %>> /*[ID_High1CAR]*/</span>
		<span class="unitorrange_val" ></span>
		<span class="unitorrange"></span>
		<div class="dropdown shuntsel">
            <div class="input_select set_value set_newval" data-index="" name="Alarm_Relay7" pname="Alarm_Relay7"></div>
            <ul class="language yinc">
            <li><a href="javascript:void(0)" rel="">/*[ID_TIPS1]*/</a></li>
            <li><a href="javascript:void(0)" rel="0">/*[ID_NA1]*/</a></li>
            <li><a href="javascript:void(0)" rel="1">IB2-1 DO1</a></li>
            <li><a href="javascript:void(0)" rel="2">IB2-1 DO2</a></li>
            <li><a href="javascript:void(0)" rel="3">IB2-1 DO3</a></li>
            <li><a href="javascript:void(0)" rel="4">IB2-1 DO4</a></li>
            <li><a href="javascript:void(0)" rel="5">IB2-1 DO5</a></li>
            <li><a href="javascript:void(0)" rel="6">IB2-1 DO6</a></li>
            <li><a href="javascript:void(0)" rel="7">IB2-1 DO7</a></li>
            <li><a href="javascript:void(0)" rel="8">IB2-1 DO8</a></li>
            <li><a href="javascript:void(0)" rel="9">EIB-1 DO1</a></li>
            <li><a href="javascript:void(0)" rel="10">EIB-1 DO2</a></li>
            <li><a href="javascript:void(0)" rel="11">EIB-1 DO3</a></li>
            <li><a href="javascript:void(0)" rel="12">EIB-1 DO4</a></li>
            <li><a href="javascript:void(0)" rel="13">EIB-1 DO5</a></li>
            <li><a href="javascript:void(0)" rel="14">NCU DO1</a></li>
            <li><a href="javascript:void(0)" rel="15">NCU DO2</a></li>
            <li><a href="javascript:void(0)" rel="16">NCU DO3</a></li>
            <li><a href="javascript:void(0)" rel="17">NCU DO4</a></li>
            <li><a href="javascript:void(0)" rel="18">IB2-2 DO1</a></li>
            <li><a href="javascript:void(0)" rel="19">IB2-2 DO2</a></li>
            <li><a href="javascript:void(0)" rel="20">IB2-2 DO3</a></li>
            <li><a href="javascript:void(0)" rel="21">IB2-2 DO4</a></li>
            <li><a href="javascript:void(0)" rel="22">IB2-2 DO5</a></li>
            <li><a href="javascript:void(0)" rel="23">IB2-2 DO6</a></li>
            <li><a href="javascript:void(0)" rel="24">IB2-2 DO7</a></li>
            <li><a href="javascript:void(0)" rel="25">IB2-2 DO8</a></li>
            <li><a href="javascript:void(0)" rel="26">EIB-2 DO1</a></li>
            <li><a href="javascript:void(0)" rel="27">EIB-2 DO2</a></li>
            <li><a href="javascript:void(0)" rel="28">EIB-2 DO3</a></li>
            <li><a href="javascript:void(0)" rel="29">EIB-2 DO4</a></li>
            <li><a href="javascript:void(0)" rel="30">EIB-2 DO5</a></li>
            </ul>
        </div>
		<span class="unitorrange"></span>
     </li>
      <li class="popli">
		<span <%if(lang==0){ %> class="signalname_en"<%}else{%>class="signalname_zh"<%} %>> /*[ID_High2CLA]*/</span>
		<span class="unitorrange_val" ></span>
		<span class="unitorrange"></span>
		<input class="set_value newval set_newval" name="Signal_Value5" pname="Signal_Value5" maxlength="32" Signal_Type="" value="" Signal_ID="" Signal_ValueType="" />
		<span class="unitorrange"></span>
     </li>
      <li class="popli">
        <span <%if(lang==0){ %> class="signalname_en"<%}else{%>class="signalname_zh"<%} %>> /*[ID_High2CAS]*/</span>
		<span class="unitorrange_val" ></span>
		<span class="unitorrange"></span>
		<div class="dropdown shuntsel">
            <div class="input_select set_value set_newval" data-index="" name="Alarm_Level9" pname="Alarm_Level9"></div>
            <ul class="language yinc">
                 <li><a href="javascript:void(0)" rel="0">/*[ID_NA3]*/</a></li>
                 <li><a href="javascript:void(0)" rel="1">/*[ID_OA2]*/</a></li>
                 <li><a href="javascript:void(0)" rel="2">/*[ID_MA2]*/</a></li>
                 <li><a href="javascript:void(0)" rel="3">/*[ID_CA2]*/</a></li>
            </ul>
        </div>
		<span class="unitorrange"></span>
     </li>
      <li class="popli">
        <span <%if(lang==0){ %> class="signalname_en"<%}else{%>class="signalname_zh"<%} %>> /*[ID_High2CAR]*/</span>
		<span class="unitorrange_val" ></span>
		<span class="unitorrange"></span>
		<div class="dropdown shuntsel">
            <div class="input_select set_value set_newval" data-index="" name="Alarm_Relay9" pname="Alarm_Relay9"></div>
            <ul class="language yinc">
            <li><a href="javascript:void(0)" rel="">/*[ID_TIPS2]*/</a></li>
            <li><a href="javascript:void(0)" rel="0">/*[ID_NA4]*/</a></li>
            <li><a href="javascript:void(0)" rel="1">IB2-1 DO1</a></li>
            <li><a href="javascript:void(0)" rel="2">IB2-1 DO2</a></li>
            <li><a href="javascript:void(0)" rel="3">IB2-1 DO3</a></li>
            <li><a href="javascript:void(0)" rel="4">IB2-1 DO4</a></li>
            <li><a href="javascript:void(0)" rel="5">IB2-1 DO5</a></li>
            <li><a href="javascript:void(0)" rel="6">IB2-1 DO6</a></li>
            <li><a href="javascript:void(0)" rel="7">IB2-1 DO7</a></li>
            <li><a href="javascript:void(0)" rel="8">IB2-1 DO8</a></li>
            <li><a href="javascript:void(0)" rel="9">EIB-1 DO1</a></li>
            <li><a href="javascript:void(0)" rel="10">EIB-1 DO2</a></li>
            <li><a href="javascript:void(0)" rel="11">EIB-1 DO3</a></li>
            <li><a href="javascript:void(0)" rel="12">EIB-1 DO4</a></li>
            <li><a href="javascript:void(0)" rel="13">EIB-1 DO5</a></li>
            <li><a href="javascript:void(0)" rel="14">NCU DO1</a></li>
            <li><a href="javascript:void(0)" rel="15">NCU DO2</a></li>
            <li><a href="javascript:void(0)" rel="16">NCU DO3</a></li>
            <li><a href="javascript:void(0)" rel="17">NCU DO4</a></li>
            <li><a href="javascript:void(0)" rel="18">IB2-2 DO1</a></li>
            <li><a href="javascript:void(0)" rel="19">IB2-2 DO2</a></li>
            <li><a href="javascript:void(0)" rel="20">IB2-2 DO3</a></li>
            <li><a href="javascript:void(0)" rel="21">IB2-2 DO4</a></li>
            <li><a href="javascript:void(0)" rel="22">IB2-2 DO5</a></li>
            <li><a href="javascript:void(0)" rel="23">IB2-2 DO6</a></li>
            <li><a href="javascript:void(0)" rel="24">IB2-2 DO7</a></li>
            <li><a href="javascript:void(0)" rel="25">IB2-2 DO8</a></li>
            <li><a href="javascript:void(0)" rel="26">EIB-2 DO1</a></li>
            <li><a href="javascript:void(0)" rel="27">EIB-2 DO2</a></li>
            <li><a href="javascript:void(0)" rel="28">EIB-2 DO3</a></li>
            <li><a href="javascript:void(0)" rel="29">EIB-2 DO4</a></li>
            <li><a href="javascript:void(0)" rel="30">EIB-2 DO5</a></li>
            </ul>
        </div>
		<span class="unitorrange"></span>
     </li>
     <li class="info" id="SetAlarmInfo"></li>
     <li class="btn"><a href="#" hidefocus="true" class="btn_set"  datatype="" hi1cur="/*[ID_HI1CUR]*/" hi2cur="/*[ID_HI2CUR]*/" hi1current="/*[ID_HI1CURRENT]*/" hi2current="/*[ID_HI2CURRENT]*/" ><i>/*[ID_SET]*/</i></a></li>
</ul>
</form>'>
<%
        var itemNames = {
		 1:"/*[ID_SHUNT1]*/"
		,2:"/*[ID_SHUNT2]*/"
		,3:"/*[ID_SHUNT3]*/"
		,4:"/*[ID_SHUNT4]*/"
		,5:"/*[ID_SHUNT5]*/"
		,6:"/*[ID_SHUNT6]*/"
		,7:"/*[ID_SHUNT7]*/"
		,8:"/*[ID_SHUNT8]*/"
		,9:"/*[ID_SHUNT9]*/"
		,10:"/*[ID_SHUNT10]*/"
		,11:"/*[ID_SHUNT11]*/"
		,12:"/*[ID_SHUNT12]*/"
		,13:"/*[ID_SHUNT13]*/"
		,14:"/*[ID_SHUNT14]*/"
		,15:"/*[ID_SHUNT15]*/"
		,16:"/*[ID_SHUNT16]*/"
		,17:"/*[ID_SHUNT17]*/"
		,18:"/*[ID_SHUNT18]*/"
		,19:"/*[ID_SHUNT19]*/"
		,20:"/*[ID_SHUNT20]*/"
		,21:"/*[ID_SHUNT21]*/"
		,22:"/*[ID_SHUNT22]*/"
		,23:"/*[ID_SHUNT23]*/"
		,24:"/*[ID_SHUNT24]*/"
		,25:"/*[ID_SHUNT25]*/"
      };
      
      var Shuntlist = data.PowerSystem;
       var hash = {};
        var c = 0;
       for(var item in Shuntlist){
        if(Shuntlist[item].length > 0){
       for ( var i = 0; i < Shuntlist[item].length; i++) {
         //去除json数组里面重复情况
         (hash[Shuntlist[item][i]] == undefined) && (hash[Shuntlist[item][i][1]]=Shuntlist[item][i][1]);
       }
       
       for(var o in hash){
         cid=o.split(',')[0];
          for(var m = 0;m < Shuntlist[item].length; m++){
             if(Shuntlist[item][m][1]==cid){
        
         var isZK = (jQuery.inArray(c,Configs.PowerSystem)=="-1") ? false : true;
 %>
       
<div class="table-container<%if(!isZK){ %> border-bn <%} %>">                    
        <div class="table-title table-ex"><span class="<%if(!isZK){ %>title-zk<%} else { %>title-sl<%} %>"><i></i><%=Shuntlist[item][m][4][lang]%></span></div>
          <div class="table-list padding-tn table-content" index="<%=c %>" <%if(jQuery.inArray(c,Configs.PowerSystem)!="-1"){ %> style="display:block;" <%} %> >
            <form action="" method="post">
            <div class="table">
                <div class="table-header">
                    <ul>
                        <li class="t-1"><strong class="left pl">/*[ID_REFERENCE]*/</strong></li>
                        <li class="t-2"><strong class="left pl">/*[ID_SIGNAL_SHUNTNAME]*/</strong></li>
                        <li class="t-3"><strong <%if(lang==0){ %>class="pl mglt_en"<%}else{ %>class="pl mglt"<%} %> >/*[ID_MODIFY]*///*[ID_VIEW]*/</strong></li>
                    </ul>
                </div>
                <div class="table-body">
                      <% 
                      var x=0;
                         for(var j = 0,ilen=Shuntlist[item].length;j < ilen ; j++){
                              if(Shuntlist[item][j][1]==cid){
                             var jStr=jQuery.toJSON(Shuntlist[item][j]);
                               x++;
                       %>
                     <ul class= "<%if((x-1)%2==0){%> gray <%if((x-1)==ilen-1){ %> bottom_line <%}}else{ %><%if((x-1)==ilen-1){ %> bottom_line2 <%}} %>"  id="<%=Shuntlist[item][j][0] %>_<%=Shuntlist[item][j][2] %>_<%=Shuntlist[item][j][3] %>_<%=j%>">
                        <li class="t-1"><span class="left pl"><%if(Shuntlist[item][j][1]==116||Shuntlist[item][j][1]==117){ %>/*[ID_BATTERYSHUNT]*/<%}else if(Shuntlist[item][j][1]==176){ %>/*[ID_LOADSHUNT]*/<%}else{%> <%=itemNames[x] %><%} %></span></li>
                        <li class="t-2"><span class="left pl">
                            <%if(Shuntlist[item][j][7][0][3]>0){if(item=="EIB"||item=="SMDU"){if(Shuntlist[item][j][7][0][3]==1){%><%=Shuntlist[item][j][7][8][6][lang]%><%}else if(Shuntlist[item][j][7][0][3]==3){%><%=Shuntlist[item][j][7][9][6][lang] %><%}else{%><%=Shuntlist[item][j][5][lang] %><%}}else{%><%=Shuntlist[item][j][5][lang] %><%}}%></span></li>
                        <li class="t-3">
                             <a href="javascript:void(0)" hideFocus="true"class="btn_mod" 	post="language_type=<%=lang %>&equip_ID=<%=Shuntlist[item][j][1]%>&signal_type=<%=Shuntlist[item][j][2]%>&signal_id=<%=Shuntlist[item][j][3]%>&control_value=&control_type=24" modifydatas='{<%=item %>:<%=jStr %>}' template='' lang='<%=lang %>'na4="/*[ID_NA4]*/"  >
                                         <i>/*[ID_MODIFY]*///*[ID_VIEW]*/</i>
                             </a>
                         </li>
                     </ul>
                     <% }}%>
                </div>
            </div>
            </form>
        </div>
      </div>
 
      <%c++; break;}}}}}%>
        {shunts_data}
      </div>
</body></html>